X2Go Bug report logs - #238
Bundled libraries

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Fri, 14 Jun 2013 02:48:02 UTC

Severity: wishlist

Tags: patch, pending

Merged with 116

Fixed in version 2:3.5.0.21

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#238; Package nx-libs. (Fri, 14 Jun 2013 02:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Jun 2013 02:48:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: Bundled libraries
Date: Thu, 13 Jun 2013 20:44:16 -0600
Package: nx-libs

nx-libs has copies of a number of libraries in nx-X11/extras/ (and some 
glue in nx-X11/libs).  We should get rid of these and use system 
provided versions.

As a first stab, I'm able to remove the following without any harm:

rm -r nx-X11/extras/{drm,fonts,ogl-sample,regex,ttf2pt1,x86emu,zlib}
rm -r nx-X11/lib/{regex,zlib}

expat appears to be essentially the 1.95.6 version.  And can be disabled 
by setting HasExpat YES in nx-X11/config/cf/host.def.

fontconfig is an unmodified fontconfig 2.3.2 and can be disabled with 
HasFontconfig YES.

rman is not needed and can be disabled with BuildRman NO.

That's a far as I've gotten today.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#238; Package nx-libs. (Fri, 14 Jun 2013 10:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Jun 2013 10:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 238@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>, 238@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#238: Bundled libraries
Date: Fri, 14 Jun 2013 12:13:39 +0200
[Message part 1 (text/plain, inline)]
merge #238 #116
severity #238 wishlist
thanks

Hi Orion,

On Fr 14 Jun 2013 04:44:16 CEST Orion Poplawski wrote:

> Package: nx-libs
>
> nx-libs has copies of a number of libraries in nx-X11/extras/ (and  
> some glue in nx-X11/libs).  We should get rid of these and use  
> system provided versions.
>
> As a first stab, I'm able to remove the following without any harm:
>
> rm -r nx-X11/extras/{drm,fonts,ogl-sample,regex,ttf2pt1,x86emu,zlib}
> rm -r nx-X11/lib/{regex,zlib}
>
> expat appears to be essentially the 1.95.6 version.  And can be  
> disabled by setting HasExpat YES in nx-X11/config/cf/host.def.
>
> fontconfig is an unmodified fontconfig 2.3.2 and can be disabled  
> with HasFontconfig YES.
>
> rman is not needed and can be disabled with BuildRman NO.
>
> That's a far as I've gotten today.

Thanks for having started working on this. You earlier reported this  
request via BTS (#116) and getting a fix for this issue rolling is  
pretty valuable, I guess.

We won't be able to remove the source folders you referred to from our  
nx-libs.git repos as the git repos also documents how NoMachine  
releases get merged into NX (redistributed). However, we should get  
rid of those folders at build-time (.deb packages) and get rid of  
those folders from the tarballs (.rpm et al. packages).

So, if you work on this (I know that you work on .rpm based systems),  
please edit nx-libs.git/debian/roll-tarball.sh for us whenever you  
want to remove files from the tarball. If you need some other build  
options, provide that change as a patch for our patch system. Just  
send the patch, I will transform that into an appropriate quilt patch.

For the .deb build process, we have to move folders out of the way  
during build-time via /debian/rules. I can see to that, once you have  
a diff for the roll-tarball.sh script.

Greets+Thanks!
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Merged 116 238 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 14 Jun 2013 10:18:03 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 14 Jun 2013 10:18:03 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 16:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#238; Package nx-libs. (Fri, 19 Jul 2013 17:29:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 19 Jul 2013 17:29:16 GMT) Full text and rfc822 format available.

Message #21 received at 238@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 238-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 238@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Fri, 19 Jul 2013 19:27:15 +0200 (CEST)
tag #238 pending
fixed #238 2:3.5.0.21
thanks

Hello,

X2Go issue #238 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=9113131

The issue will most likely be fixed in src:nx-libs (2:3.5.0.21).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 9113131a7d3ff7e6ec922b45c6bc9b08af4e7880
Author: Orion Poplawski <orion@cora.nwra.com>
Date:   Fri Jul 19 19:25:05 2013 +0200

    Change build options so that bundled libraries are not used anymore at build time. Remove bundled libraries from rolled tarballs, as well. (Fixes: #116, #238).

diff --git a/debian/changelog b/debian/changelog
index 32c4712..4c68399 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,5 +1,6 @@
 nx-libs (2:3.5.0.21-0) UNRELEASED; urgency=low
 
+  [ Mike Gabriel ]
   * Provide a default keystrokes.cfg in /etc/nx (for nxagent) and /etc/x2go
     (for x2goagent). (Fixes: #199).
   * Use a keystrokes.cfg that reflects the normally hard-coded defaults of
@@ -10,6 +11,11 @@ nx-libs (2:3.5.0.21-0) UNRELEASED; urgency=low
     + Only install keystrokes.cfg when in full mode.
     + Only install nxproxy wrapper when in lite mode.
 
+  [ Orion Poplawski ]
+  * Change build options so that bundled libraries are not used anymore at
+    build time. Remove bundled libraries from rolled tarballs, as well. (Fixes:
+    #238).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Mar 2013 21:07:42 +0100
 
 nx-libs (2:3.5.0.20-0) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 17:29:16 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.21. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 17:29:16 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#238. (Fri, 19 Jul 2013 17:29:17 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#238; Package nx-libs. (Fri, 30 Aug 2013 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 30 Aug 2013 14:33:03 GMT) Full text and rfc822 format available.

Message #33 received at 238@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 238-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 238@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Fri, 30 Aug 2013 16:20:08 +0200 (CEST)
close #238
thanks

Hello,

we are very hopeful that X2Go issue #238 reported by you
has been resolved in the new release (2:3.5.0.21) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.21)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=1102c6c766cfca9136b7fb04dfb6bcbf3c8ab25d;hp=225445db3cb6c6fc05db264f537eb9ad6050fd1c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.21
Status: RELEASE
Date: Fri, 30 Aug 2013 16:18:04 +0200
Fixes: 199 223 238 293
Changes: 
 nx-libs (2:3.5.0.21-0) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * Provide a default keystrokes.cfg in /etc/nx (for nxagent) and /etc/x2go
     (for x2goagent). (Fixes: #199).
   * Use a keystrokes.cfg that reflects the normally hard-coded defaults of
     a vanilla nxagent. (Fixes: #223).
   * Set NXAGENT_KEYSTROKEFILE to /etc/x2go/keystrokes.cfg for wrapper x2goagent.
   * For vanilla nxagent move keystrokes.cfg from /etc/nx to /etc/nxagent.
   * Tarball roller script:
     + Only install keystrokes.cfg when in full mode.
     + Only install nxproxy wrapper when in lite mode.
   * /debian/control:
     + Add B-Ds: libfontconfig1-dev, libfontenc-dev.
   * /debian/nx-libs-dev.install:
     + Remove unrelated files from -dev package.
   * Fix keystrokes.cfg, use Ctrl+Alt+<key> instead of just Ctrl+<key>. (Adds to
     fixing #223).
 .
   [ Orion Poplawski ]
   * Change build options so that bundled libraries are not used anymore at
     build time. Remove bundled libraries from rolled tarballs, as well. (Fixes:
     #238).
   * Add patch: 602_nx-X11_initgroups.full.patch. Fix calling setuid and setgid
     without setgroups or initgroups. There is a high probability this means it
     didn't relinquish all groups, and this would be a potential security issue
     to be fixed. Seek POS36-C on the web for details about the problem. (Fixes:
     #293).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#238; Package nx-libs. (Fri, 30 Aug 2013 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 30 Aug 2013 14:33:04 GMT) Full text and rfc822 format available.

Message #38 received at 238@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 238-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 238@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Fri, 30 Aug 2013 16:20:09 +0200 (CEST)
close #238
thanks

Hello,

we are very hopeful that X2Go issue #238 reported by you
has been resolved in the new release (2:3.5.0.21) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.21)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=422b1f554e5cb655b8a8702f9f3027760879ea02;hp=225445db3cb6c6fc05db264f537eb9ad6050fd1c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.21
Status: RELEASE
Date: Fri, 30 Aug 2013 16:18:04 +0200
Fixes: 199 223 238 293
Changes: 
 nx-libs (2:3.5.0.21-0) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * Provide a default keystrokes.cfg in /etc/nx (for nxagent) and /etc/x2go
     (for x2goagent). (Fixes: #199).
   * Use a keystrokes.cfg that reflects the normally hard-coded defaults of
     a vanilla nxagent. (Fixes: #223).
   * Set NXAGENT_KEYSTROKEFILE to /etc/x2go/keystrokes.cfg for wrapper x2goagent.
   * For vanilla nxagent move keystrokes.cfg from /etc/nx to /etc/nxagent.
   * Tarball roller script:
     + Only install keystrokes.cfg when in full mode.
     + Only install nxproxy wrapper when in lite mode.
   * /debian/control:
     + Add B-Ds: libfontconfig1-dev, libfontenc-dev.
   * /debian/nx-libs-dev.install:
     + Remove unrelated files from -dev package.
   * Fix keystrokes.cfg, use Ctrl+Alt+<key> instead of just Ctrl+<key>. (Adds to
     fixing #223).
 .
   [ Orion Poplawski ]
   * Change build options so that bundled libraries are not used anymore at
     build time. Remove bundled libraries from rolled tarballs, as well. (Fixes:
     #238).
   * Add patch: 602_nx-X11_initgroups.full.patch. Fix calling setuid and setgid
     without setgroups or initgroups. There is a high probability this means it
     didn't relinquish all groups, and this would be a potential security issue
     to be fixed. Seek POS36-C on the web for details about the problem. (Fixes:
     #293).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 30 Aug 2013 14:33:05 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Fri, 30 Aug 2013 14:33:05 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#238. (Fri, 30 Aug 2013 14:33:10 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#238. (Fri, 30 Aug 2013 14:33:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 28 Sep 2013 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 19 04:05:47 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.